// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

events.listen('item.registry', function (event) {
	//Adding presses
	//event.create('logic_press').displayName('Logic Processor Press').setContainerItem('kubejs:logic_press'),
	
	//event.create('engineering_press').displayName('Engineering Processor Press').setContainerItem('kubejs:engineering_press'),
	
	//event.create('calculation_press').displayName('Calculation Processor Press').setContainerItem('kubejs:calculation_press'),
	
	//event.create('silicon_press').displayName('Silicon Press').setContainerItem('kubejs:silicon_press'),
	
	// of.item('kubejs:logic_press').setContainerItem('kubejs:logic_press')
	
	//of.item('appliedenergistics2:silicon_press').setContainerItem('appliedenergistics2:silicon_press')
	//of.item('appliedenergistics2:logic_processor_press').setContainerItem('appliedenergistics2:logic_processor_press')
	
	//adding microcontrollers
	event.create('basic_microcontroller').displayName('Basic Microcontroller'),
	event.create('mid_microcontroller').displayName('Integrated Microcontroller'),
	event.create('high_microcontroller').displayName('Advanced Microcontroller'),
	event.create('extreme_microcontroller').displayName('Strawberry Cake'),
	
	
	//Adding components
	event.create('basic_pcb').displayName('Basic PCB'),
	event.create('mid_pcb').displayName('Integrated PCB'),
	event.create('advanced_pcb').displayName('Advanced PCB'),
	event.create('extreme_pcb').displayName('Nano PCB'),
	
	event.create('basic_pcb_wired').displayName('Basic Wired PCB'),
	event.create('mid_pcb_wired').displayName('Integrated Wired PCB'),
	event.create('advanced_pcb_wired').displayName('Advanced Wired PCB'),
	event.create('extreme_pcb_wired').displayName('Nano Wired PCB'),
	
	event.create('basic_case').displayName('Hardened Casing'),
	event.create('mid_case').displayName('Strengthened Casing'),
	event.create('advanced_case').displayName('Hardened Casing'),
	
	event.create('carbon_fibre').displayName('Carbon Fibre'),
	event.create('carbon_mesh').displayName('Carbon Fibre Mesh'),
	event.create('carbon_plate').displayName('Carbon Plate')
	
	event.create("iron_sludge").displayName("Iron Sludge") 
	event.create("aluminum_sludge").displayName("Aluminum Sludge") 
	event.create("copper_sludge").displayName("Copper Sludge") 
	event.create("gold_sludge").displayName("Gold Sludge") 
	event.create("lead_sludge").displayName("Lead Sludge") 
	event.create("nickel_sludge").displayName("Nickel Sludge") 
	event.create("osmium_sludge").displayName("Osmium Sludge") 
	event.create("silver_sludge").displayName("Silver Sludge") 
	event.create("tin_sludge").displayName("Tin Sludge") 
	event.create("uranium_sludge").displayName("Uranium Sludge") 
	event.create("zinc_sludge").displayName("Zinc Sludge") 
  
	event.create("iron_sludge_vital").displayName("Iron Vital Sludge") 
	event.create("aluminum_sludge_vital").displayName("Aluminum Vital Sludge") 
	event.create("copper_sludge_vital").displayName("Copper Vital Sludge") 
	event.create("gold_sludge_vital").displayName("Gold Vital Sludge") 
	event.create("lead_sludge_vital").displayName("Lead Vital Sludge") 
	event.create("nickel_sludge_vital").displayName("Nickel Vital Sludge") 
	event.create("osmium_sludge_vital").displayName("Osmium Vital Sludge") 
	event.create("silver_sludge_vital").displayName("Silver Vital Sludge") 
	event.create("tin_sludge_vital").displayName("Tin Vital Sludge") 
	event.create("uranium_sludge_vital").displayName("Uranium Vital Sludge") 
	event.create("zinc_sludge_vital").displayName("Zinc Vital Sludge") 
  
	event.create("iron_sludge_starry").displayName("Iron Starry Sludge") 
	event.create("aluminum_sludge_starry").displayName("Aluminum Starry Sludge") 
	event.create("copper_sludge_starry").displayName("Copper Starry Sludge") 
	event.create("gold_sludge_starry").displayName("Gold Starry Sludge") 
	event.create("lead_sludge_starry").displayName("Lead Starry Sludge") 
	event.create("nickel_sludge_starry").displayName("Nickel Starry Sludge") 
	event.create("osmium_sludge_starry").displayName("Osmium Starry Sludge") 
	event.create("silver_sludge_starry").displayName("Silver Starry Sludge") 
	event.create("tin_sludge_starry").displayName("Tin Starry Sludge") 
	event.create("uranium_sludge_starry").displayName("Uranium Starry Sludge") 
	event.create("zinc_sludge_starry").displayName("Zinc Starry Sludge") 
})

events.listen('fluid.registry', event => {
	
})


events.listen('item.tags', event => {
	event.get('forge:sand').add('byg:purple_sand')
	function addToTag(tag, item){
		event.get(tag).add(item)
	}
	function removeFromTag(tag, item){
		event.get(tag).remove(item)
	}
	
	addToTag('forge:sand', 'byg:pink_sand')
	addToTag('forge:sand', 'byg:black_sand')
	addToTag('forge:storage_blocks/quartz', 'byg:raw_quartz_block')
	addToTag('forge:sand', 'byg:quartzite_sand')
	/*
	addToTag('kubejs:light_oil', 'thermal:light_oil')
	addToTag('kubejs:heavy_oil', 'thermal:heavy_oil')*/
})

events.listen('block.registry', event => {
  // Register new blocks here
  // event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
  event.create("iron_sludge").material("lava").hardness(2.0).displayName("Iron Sludge") 
  event.create("aluminum_sludge").material("lava").hardness(2.0).displayName("Aluminum Sludge") 
  event.create("copper_sludge").material("lava").hardness(2.0).displayName("Copper Sludge") 
  event.create("gold_sludge").material("lava").hardness(2.0).displayName("Gold Sludge") 
  event.create("lead_sludge").material("lava").hardness(2.0).displayName("Lead Sludge") 
  event.create("nickel_sludge").material("lava").hardness(2.0).displayName("Nickel Sludge") 
  event.create("osmium_sludge").material("lava").hardness(2.0).displayName("Osmium Sludge") 
  event.create("silver_sludge").material("lava").hardness(2.0).displayName("Silver Sludge") 
  event.create("tin_sludge").material("lava").hardness(2.0).displayName("Tin Sludge") 
  event.create("uranium_sludge").material("lava").hardness(2.0).displayName("Uranium Sludge") 
  event.create("zinc_sludge").material("lava").hardness(2.0).displayName("Zinc Sludge") 
  
  event.create("iron_sludge_vital").material("lava").hardness(2.0).displayName("Iron Vital Sludge") 
  event.create("aluminum_sludge_vital").material("lava").hardness(2.0).displayName("Aluminum Vital Sludge") 
  event.create("copper_sludge_vital").material("lava").hardness(2.0).displayName("Copper Vital Sludge") 
  event.create("gold_sludge_vital").material("lava").hardness(2.0).displayName("Gold Vital Sludge") 
  event.create("lead_sludge_vital").material("lava").hardness(2.0).displayName("Lead Vital Sludge") 
  event.create("nickel_sludge_vital").material("lava").hardness(2.0).displayName("Nickel Vital Sludge") 
  event.create("osmium_sludge_vital").material("lava").hardness(2.0).displayName("Osmium Vital Sludge") 
  event.create("silver_sludge_vital").material("lava").hardness(2.0).displayName("Silver Vital Sludge") 
  event.create("tin_sludge_vital").material("lava").hardness(2.0).displayName("Tin Vital Sludge") 
  event.create("uranium_sludge_vital").material("lava").hardness(2.0).displayName("Uranium Vital Sludge") 
  event.create("zinc_sludge_vital").material("lava").hardness(2.0).displayName("Zinc Vital Sludge") 
  
  event.create("iron_sludge_starry").material("lava").hardness(2.0).displayName("Iron Starry Sludge") 
  event.create("aluminum_sludge_starry").material("lava").hardness(2.0).displayName("Aluminum Starry Sludge") 
  event.create("copper_sludge_starry").material("lava").hardness(2.0).displayName("Copper Starry Sludge") 
  event.create("gold_sludge_starry").material("lava").hardness(2.0).displayName("Gold Starry Sludge") 
  event.create("lead_sludge_starry").material("lava").hardness(2.0).displayName("Lead Starry Sludge") 
  event.create("nickel_sludge_starry").material("lava").hardness(2.0).displayName("Nickel Starry Sludge") 
  event.create("osmium_sludge_starry").material("lava").hardness(2.0).displayName("Osmium Starry Sludge") 
  event.create("silver_sludge_starry").material("lava").hardness(2.0).displayName("Silver Starry Sludge") 
  event.create("tin_sludge_starry").material("lava").hardness(2.0).displayName("Tin Starry Sludge") 
  event.create("uranium_sludge_starry").material("lava").hardness(2.0).displayName("Uranium Starry Sludge") 
  event.create("zinc_sludge_starry").material("lava").hardness(2.0).displayName("Zinc Starry Sludge") 
})


